ReflectionExtension::__clone
ReflectionExtension::export
ReflectionExtension
PHP Manual

# ReflectionExtension::__construct

(PHP 5)

ReflectionExtension::__construct — Constructs a ReflectionExtension

### Opis

ReflectionExtension::__construct ( string `$name` )

Construct a ReflectionExtension object .

### Parametry

`name`

  Name of the extension.

### Zwracane wartości

A ReflectionExtension object .

### Przykłady

Przykład #1 ReflectionExtension example

`<?php
$ext = new ReflectionExtension('Reflection');
printf('Extension: %s (version: %s)', $ext->getName(), $ext->getVersion());
?>`

Powyższy przykład wyświetli coś podobnego do:

    Extension: Reflection (version: $Revision: 299908 $)

### Zobacz też:

- ReflectionExtension::info - Gets extension info
- Constructors

ReflectionExtension::__clone
ReflectionExtension::export
ReflectionExtension
PHP Manual